namespace MyWebApp.Controls
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;
    using GlobalizationModule;

	/// <summary>
	///	Class Menu implements a simple menu control.
	///	It renders itself as an HTML table with hyperlinks
	///	as menu items. The contents of the menu are loaded
	///	from external XML file 'menu.xml'.
	/// </summary>
	public abstract class Menu : System.Web.UI.UserControl
	{
        [DataListLocalizer(ResourceName = "Menu1.DataList1")]
        protected System.Web.UI.WebControls.DataList DataList1;

		private void Page_Load(object sender, System.EventArgs e)
		{
            // Load the menu from an XML file suitably formatted as a DataSet
            using (DataSet ds = new DataSet())
            {
                ds.ReadXml(string.Format("{0}{1}", Request.PhysicalApplicationPath, "menu.xml"), XmlReadMode.Auto);
                DataList1.DataSource = ds;
                DataList1.DataBind();
            }
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		///		Required method for Designer support - do not modify
		///		the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.Load += new System.EventHandler(this.Page_Load);

        }
		#endregion
	}
}
